# -*- mode: ruby -*-
# vi: set ft=ruby :

vms = {
  'admin-lb' => {'memory' => '1024', 'cpus' => 1, 'ip' => '100', 'provision' => 'admin-lb.sh'},
  'node1' => {'memory' => '1024', 'cpus' => 1, 'ip' => '21', 'provision' => 'prepara_maquina.sh'},
  'node2' => {'memory' => '1024', 'cpus' => 1, 'ip' => '22', 'provision' => 'prepara_maquina.sh'},
  'node3' => {'memory' => '1024', 'cpus' => 1, 'ip' => '23', 'provision' => 'prepara_maquina.sh'},
	'master1' => {'memory' => '2048', 'cpus' => 2, 'ip' => '11', 'provision' => 'prepara_maquina.sh'},
	'master2' => {'memory' => '2048', 'cpus' => 2, 'ip' => '12', 'provision' => 'prepara_maquina.sh'},
	'master3' => {'memory' => '2048', 'cpus' => 2, 'ip' => '13', 'provision' => 'prepara_maquina.sh'}
}
Vagrant.configure('2') do |config|

  config.vm.box = 'centos/7'
  config.vm.box_check_update = false

  vms.each do |name, conf|
    config.vm.define "#{name}" do |k|
      k.vm.hostname = "#{name}.k8s.hard.com"
      k.vm.network 'private_network', ip: "172.27.11.#{conf['ip']}"
      k.vm.provider 'virtualbox' do |vb|
        vb.memory = conf['memory']
        vb.cpus = conf['cpus']
      end
      k.vm.provider 'libvirt' do |lv|
        lv.memory = conf['memory']
        lv.cpus = conf['cpus']
        lv.cputopology :sockets => 1, :cores => conf['cpus'], :threads => '1'
      end
      k.vm.provision 'shell', path: "provision/#{conf['provision']}", args: "#{conf['ip']}"
    end
  end

#  config.vm.provision 'shell', path: 'provision/master.sh'
end
